Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1013631 - No email notification sent when host recovers from previously reported condition
Summary: No email notification sent when host recovers from previously reported condition
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-notification-service
Version: 3.2.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 3.4.0
Assignee: Ravi Nori
QA Contact: Tareq Alayan
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-09-30 13:25 UTC by Julio Entrena Perez
Modified: 2018-12-09 17:13 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-12 14:03:43 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
scrnshot (deleted)
2014-02-17 16:11 UTC, Tareq Alayan
no flags Details
notifier log (deleted)
2014-02-20 14:09 UTC, Tareq Alayan
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 23399 None None None Never
oVirt gerrit 24170 None None None Never
oVirt gerrit 24848 None None None Never
oVirt gerrit 24955 None None None Never
Red Hat Knowledge Base (Solution) 1228453 None None None Never

Description Julio Entrena Perez 2013-09-30 13:25:20 UTC
Description of problem:
Users can choose to receive email notifications for several host conditions listed under "Host Event" section of event notifications.

When a user has chosen a specific condition and such condition occurs the user receives an email notification.

When such condition is resolved or disappears the user does not receive any email notification alerting him/her that the previously reported condition has been solved is no longer present.

Version-Release number of selected component (if applicable):
rhevm-notification-service-3.2.2-0.41.el6ev.

How reproducible:
Always.

Steps to Reproduce:
1. In webadmin portal go to "Users" resource tab and choose a user from the list.
2. Choose the "Event Notifier" sub-tab and click the "Manage Events" button.
3. Expand "Host Events" to show all host related notifications available.

Actual results:
There is no option to receive an email notification when a previously reported condition is fixed, e.g. when a non-operational host comes back.

Expected results:
An option like "Host state was set back to Operational/Up" is available.
Selecting this option causes event notification email to be sent when a previously reported condition is fixed.


Additional info:

Comment 3 Ravi Nori 2014-01-17 17:05:44 UTC
I have pushed a patch to add a new event that the user can subscribe to "Host is responsive".

Comment 5 Arthur Berezin 2014-02-02 16:02:41 UTC
Barak, can you ack for 3.4?

Comment 6 Tareq Alayan 2014-02-17 13:30:27 UTC
is this merged into upstream?

Comment 7 Eli Mesika 2014-02-17 15:11:11 UTC
Tareq , you can see that in the External Trackers section above 
Yes it was merged

Comment 8 Tareq Alayan 2014-02-17 16:11:33 UTC
Created attachment 864163 [details]
scrnshot

there is no event "Host is responsive" user can subscribe to

see screen shot 


tested on ovirt-engine-tools-3.4.0-0.7.beta2.el6.noarch

Comment 9 Ravi Nori 2014-02-17 17:12:17 UTC
The patch does not add a new notifcation for the user to subscribe to. 

If the user is subscribed to "Host state was set to non operation" or "Host is non responsive". The user should get a email notification when a host ges into non-responsive or non-operational status. Now if the host changes state to UP/Maintenance the user should get a second email notification indicating that the previously reported condition has been resolved.

This requires that the notification service has been configured with the smtp mail server address and is running.

Please retest it

Comment 10 Tareq Alayan 2014-02-17 17:27:34 UTC
Thanks Ravi, 

I subscribed to to Host non responsive event, and i got email about the non responsive state and then email about host going up again Issue Solved Notification. (vm-161-144.scl.lab.tlv.redhat.com), [Host rose04 was activated by admin.]

tested on ovirt-engine-tools-3.4.0-0.7.beta2.el6.noarch

Comment 11 Sandro Bonazzola 2014-02-19 12:26:32 UTC
This bug is referenced in ovirt-engine-3.4.0-beta3 logs. Moving to ON_QA

Comment 12 Tareq Alayan 2014-02-20 14:08:38 UTC
I subscribed to to Host non responsive event, and i got email about the non responsive state, but i did not got email that the issue have been resolved. 

tested on 
ovirt-engine-3.4.0-0.11.beta3.el6.noarch
ovirt-engine-tools-3.4.0-0.11.beta3.el6.noarch

Comment 13 Tareq Alayan 2014-02-20 14:09:41 UTC
Created attachment 865538 [details]
notifier log

Comment 14 Eli Mesika 2014-02-20 14:12:46 UTC
(In reply to Tareq Alayan from comment #12)
> I subscribed to to Host non responsive event, and i got email about the non
> responsive state, but i did not got email that the issue have been resolved. 
> 
> tested on 
> ovirt-engine-3.4.0-0.11.beta3.el6.noarch
> ovirt-engine-tools-3.4.0-0.11.beta3.el6.noarch

Please provide full details on how you had tested , how the host became non-responsive and what do you did in order to make it responsive again

Comment 15 Tareq Alayan 2014-02-20 14:24:46 UTC
I stopped the vdsmd process.
It became Connecting the Non responsive and the UP (soft fencing recovering)   
Got email that About becoming non responsive and no email regarding the host set to UP.

Comment 16 Tareq Alayan 2014-03-12 12:52:49 UTC
is this merged into rhevm-tools-3.4.0-0.3.master.el6ev.noarch

Comment 17 Ravi Nori 2014-03-12 13:02:08 UTC
Yes, the patch has been merged into ovirt-engine 3.4

Comment 18 Tareq Alayan 2014-03-18 12:17:52 UTC
verified on rhevm-tools-3.4.0-0.5.master.el6ev.noarch
resolution mail has been received.

Comment 19 Itamar Heim 2014-06-12 14:03:43 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.